#ifndef CGAME_H
#define CGAME_H

#include <SDL/SDL.h>

#include "button.h"
#include "cSnake.h"
#include "cTargetMan.h"

class cGame {
public:
    cGame(int* score, int userDiff, int userWalls);
    ~cGame();

    int logic(Uint8* keyState, int mX, int mY, Uint8 mouseState);
    int render();
    int pause();
    int resume();

private:
    int whenStopped;
    cSnake* snake;
    cButton* bPause;

    int* scorePtr;

    cTargetMan* targetMan;

    int diff;
    int walls;
};

#endif
