#ifndef CSTRINGINPUT_H
#define CSTRINGINPUT_H

#include <SDL/SDL.h>
#include <SDL/SDL_ttf.h>
#include <string>

class cStringInput {
public:
    cStringInput(TTF_Font* font, int r, int g, int b);
    ~cStringInput();

    int logic(SDL_Event* pEvent);
    int render(SDL_Surface* dst, int x, int y);
    std::string gInput();
    SDL_Surface* gSurface();

private:
    std::string inputStr;
    SDL_Surface* txt;
    TTF_Font* renderFont;
    SDL_Color clr;
} ;

#endif
