#include <SDL/SDL.h>

#include "button.h"
#include "functions.h"
#include "gamestates.h"
#include "globals.h"

int gsAbout::logic() {
    if (tB->logic(mX, mY, mouseState) == B_CLICK) {
        gm->setNextState(STATE_MENU);
    }

    return 0;
}

int gsAbout::render() {
    fresh(screen);

    applySurface(about, screen, 0, 0);

    tB->render();

    na();

    SDL_Flip(screen);
    return 0;
}

gsAbout::gsAbout() {
    tB = new cButton("Terug", 5, 560, false, fNormal, B_VISIBLE, B_STANDARD);
    about = loadImage("Media/over.png");
}

gsAbout::~gsAbout() {
    delete tB;
    SDL_FreeSurface(about);
}
