#include <SDL/SDL.h>

#include "button.h"
#include "functions.h"
#include "gamestates.h"
#include "globals.h"

int gsScores::logic() {
    if (tB->logic(mX, mY, mouseState) == B_CLICK) {
        gm->setNextState(STATE_MENU);
    }

    return 0;
}

int gsScores::render() {
    fresh(screen);

    tB->render();

    gm->hs->render();

    na();

    SDL_Flip(screen);

    return 0;
}

gsScores::gsScores() {
    tB = new cButton("Terug", 5, 560, false, fNormal, B_VISIBLE, B_STANDARD);

    gm->hs->importScores();
}

gsScores::~gsScores() {
    delete tB;
}
