#ifndef CGAMEOVER_H
#define CGAMEOVER_H

#include <SDL/SDL.h>
#include <string>

#include "button.h"
#include "cGame.h"
#include "cStringInput.h"

class cGameOver {
public:
    cGameOver(int score);
    ~cGameOver();

    int logic(int mX, int mY, Uint8 mouseState, std::string* tS);
    int render(cGame* curGM);

    cStringInput* input;

private:
    int startTime;

    SDL_Surface* sGameOver;
    SDL_Surface* sScoreTag;
    SDL_Surface* sScore;

    cButton* bBack;
} ;

#endif
