#ifndef CTARGETMAN_H
#define CTARGETMAN_H

#include <SDL/SDL.h>

#include "cSnake.h"

class cTargetMan {
public:
    cTargetMan(int* scrPtr, int difficulty);
    ~cTargetMan();

    int logic(cSnake* snake);
    int render();

private:
    int movesLeft;
    int pillX, pillY;

    int mouseX, mouseY;
    int mouseCount;

    int* scorePtr;
    int diff;

    SDL_Surface* sMouse;
    SDL_Surface* sPill;
} ;

#endif
