#include <SDL/SDL.h>
#include <vector>

#ifndef CHECKBOXES_H
#define CHECKBOXES_H

// Dit is een class die ik voor een vorig projectje ontwikkeld heb en waar ik dus niet volledig op in
// zal gaan maar het slecht vluchtig zal bespreken. Voor vragen kun je me bereiken op bobrubbens [at] gmail [dot] com

// De class werkt vanuit het principe dat je de class 1 x aanmaakt, en daarna met twee functies (logic & render) de
// knoppen update. De class cCheckbox wordt gebruikt door cCheckboxes, de eerste gebruik je dus nooit apart!
// Als je weet hoe het werkt kan het echter prima.

// Eerst maak je de class aan met cCheckboxes. Hier geef je de basisparameters op; ze zouden allemaal voor zich moeten spreken.
// Let op: checkBorder is inclusief & dubbel! Als de checkWidth bijvoorbeeld 20 is, en checkBorder = 2, dan ziet de checkbox er dus zo uit:
// Hij heeft een zwarte rand van 2 pixels breed, dan een witte rand van 2 pixesl breed, en dan een midden van 12 breed (beide kanten - 4 =>12)

// Om de checkboxes te gebruiken en te manipuleren heb je vier functies nodig: logic, render, getselected & setselected
// logic & render doen allebei waar ze naar vernoemd zijn. Logic doet alle logische dingen, en hem geef je dus ook de
// coordinaten van de muis en de mousestate die SDL gaf. getSelected & setselected doen allebei ook waar ze naar vernoemd zijn.
// Let op dat ze allebei tellen zoals mensen: de eerste checkbox is dus 1, de tweede 2, en als er geen geselecteerd zijn geeft hij 0.

// Vergeet de classes niet te deleten als ze dynamisch toegewezen (new) zijn! Anders gaat dit automatisch als je buiten scope gaat

class cCheckbox {
private:
    SDL_Rect outer;
    SDL_Rect middle;
    SDL_Rect inner;

    bool state;

    Uint8 prevMouseState;

public:
    int logic(int mX, int mY, Uint8 mouseState);
    int render();

    int setState(bool newState);
    bool getState();

    cCheckbox(int x, int y, int width, int border, bool startState);
    ~cCheckbox();
} ;

class cCheckboxes {
private:
    std::vector<cCheckbox> checkboxes;

public:
    int logic(int mX, int mY, int mouseState);
    int render();

    int getSelected();
    int setSelected(int p); // for tempo

    cCheckboxes(int x, int y, int step, bool horizontal, int amount, int checkWidth, int checkBorder);
    ~cCheckboxes();
} ;

const bool CHECK_ON = true;
const bool CHECK_OFF = false;
const int CHECK_NOCHANGE = 0;
const int CHECK_TURNON = 1;
const int CHECK_TURNOFF = 2;

#endif
