// In deze code worden de globale variabelen geinitialiseerd

#include <SDL/SDL.h>
#include <SDL/SDL_ttf.h>

#include "gamestate.h"
#include "globals.h"

// Hier definier ik globale variabelen; variabelen die ik overal in het programma kan gebruiken.
// Pointers (dat zijn een variabelen die het adres van een andere variabelen kunnen bevatten; beschouw ze als pijlen wijzend naar een variabele)
// initialiseer ik als NULL; dit doe ik omdat als je dat niet doet het gedrag van pointers
// onvoorspelbaar is, en dat willen we niet.

SDL_Surface* screen = NULL; // De pointer naar het *scherm*

SDL_Color clrBlack = {0, 0, 0}; // KLEURTJES
SDL_Color clrWhite = {255, 255, 255};

TTF_Font* fNormal = NULL; // Pointer naar een lettertype met normale grootte. Dit zijn allemaal lettertypes
TTF_Font* fSpecial = NULL;
TTF_Font* fBig = NULL;
TTF_Font* fTag = NULL;
TTF_Font* fTagP = NULL;

SDL_Event event; // In deze variabele worden alle (input) events van SDL opgeslagen: keyboard input, als er op het rode kruisje gedrukt wordt, etc.

cGameMan* gm = NULL; // Pointer naar de gamemanager
